{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Course Deapproval
{% endblock %}


{% block rightPane %}
    {% if perms.curriculum.can_approve_students_for_courses %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Deapprove Students
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs">
                        {% for course in course_list %}
                            {% if forloop.counter == 1 %}
                                <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                    class="" {% endif %}>
                                    <a aria-expanded="true"
                                       id={{ course.staff_course_instance.pk }}
                                               data-toggle="tab" name="course_tab">
                                        {{ course.display_text }}

                                    </a>
                                </li>
                            {% else %}
                                <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                    class="" {% endif %}>
                                    <a aria-expanded="false"
                                       id={{ course.staff_course_instance.pk }}
                                               data-toggle="tab" name="course_tab">
                                        {{ course.display_text }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                </div>
                <form method="POST" class="form-inline">{% csrf_token %}
                    <input type="hidden" name="hidden_course" value="{{ selected_course }}">
                    <div id="accordion1" class="accordion" aria-multiselectable="true" role="tablist">
                        <br>
                        <br>
                        {% for student in list_of_students %}

                            <div class="panel">
                                <div class="clearfix">
                                    <div class="row">
                                        <div class="col-md-1" align="center">
                                            <br>
                                            {{ forloop.counter }}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                            <input type="checkbox" name="approve"
                                                   value="{{ student.student.roll_no }}"/>
                                        </div>
                                        <div class="col-md-11 col-sm-5 col-xs-12" style="background-color: #84cec7">
                                            <a class="panel-heading collapsed" aria-controls="collapseTwo"
                                               aria-expanded="false" style="background-color: #84cec7"
                                               href=#{{ student.student.roll_no }}-{{ forloop.counter }}
                                               data-parent="#accordion1" data-toggle="collapse" role="tab">

                                                <h4 class="panel-title">
                                                    <strong>{{ student.student }}</strong>
                                                    ({{ student.student.roll_no }})&nbsp;&nbsp;

                                                    <ul class="nav navbar-right panel_toolbox">
                                                        <li>
                                                            &nbsp;&nbsp;&nbsp;&nbsp;
                                                            <i class="fa fa-chevron-down"></i>
                                                        </li>
                                                    </ul>
                                                </h4>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div id={{ student.student.roll_no }}-{{ forloop.counter }}
                                     style="background-color: #90e0d9"
                                     class="panel-collapse collapse" aria-labelledby="headingTwo"
                                     role="tabpanel" style="background-color: #90e0d9"
                                     aria-expanded="false">
                                    <div class="panel-body">
                                        <div class="x_content">
                                            <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                                                <div class="profile_img">
                                                    <div id="crop-avatar">
                                                        {% load static %}
                                                        {% get_media_prefix as MEDIA_ROOT %}
                                                        {% if student.student.gender == "M" %}
                                                            <img src={% if user.avatar %}
                                                                {{ MEDIA_ROOT }}{{ student.student.avatar }}{% else %}
                                                                "{{ MEDIA_ROOT }}/images/male.png"
                                                            {% endif %}
                                                                 alt="No image" height="250px"
                                                                 width="250px"><br/>
                                                        {% endif %}
                                                        {% if student.student.gender == "F" %}
                                                            <img src={% if user.avatar %}
                                                                {{ MEDIA_ROOT }}{{ student.student.avatar }}{% else %}
                                                                "{{ MEDIA_ROOT }}/images/female.png"
                                                            {% endif %}
                                                                 height="250px" width="250px"><br/>
                                                        {% endif %}
                                                    </div>
                                                </div>
                                            </div>
                                            <ul class="nav navbar-right panel_toolbox">
                                                <a href="../{{ student.student.roll_no }}"
                                                   target="_blank" style="font-size: large; color: #4526e0"
                                                   class="fa fa-hand-o-right">View
                                                    Profile</a>
                                            </ul>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                                <table class="table table-hover" style="color: #e11e56"
                                                       title="Student Details">
                                                    <tbody>
                                                    <tr>
                                                        <td>Email</td>
                                                        <td>{{ student.student.user.email }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>ID</td>
                                                        <td>{{ student.student.roll_no }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Name</td>
                                                        <td>{{ student.student }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Gender</td>
                                                        <td>{{ student.student.gender }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Department</td>
                                                        <td>{{ student.student.department }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Phone Number</td>
                                                        <td>{{ student.student.phone_number }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Date of Birth</td>
                                                        <td>{{ student.student.dob }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Current Semester</td>
                                                        <td>{{ student.student.current_semester }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Qualification</td>
                                                        <td>{{ student.student.qualification }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Date of Joining</td>
                                                        <td>{{ student.student.date_of_joining }}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                        <div class="clearfix"></div>
                        {% if list_of_students %}
                            <br>
                            <br>
                            <input type="submit" class="btn1 btn-orange" name="deapprove_students"
                                   value="Deapprove"/>
                        {% endif %}
                    </div>
                </form>

                {% if not list_of_students %}
                    <div role="alert" class="alert alert-success alert-dismissible fade in">
                        <h4> No students are avail. to deapprove </h4>
                    </div>
                {% endif %}

            </div>
            <br>
            <br>
            <br>
            <br>
        </div>
    {% endif %}
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>
    <script type="text/javascript">

        {% if no_of_students_deapproved %}
            {% if no_of_students_deapproved != 0 %}
                $(function () {
                    new PNotify({
                        title: 'Success!',
                        text: '{{ no_of_students_deapproved }} users approved',
                        type: 'success',
                        styling: 'bootstrap3',
                        min_height: "20px",
                        mobile: {'styling': true}
                    });
                });
            {% endif %}
        {% endif %}

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
    </script>
{% endblock %}